Bug 1286193 - RFE: add multilib-fix helper
Summary: RFE: add multilib-fix helper
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1344231
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-27 12:26 UTC by Pavel Raiskup
Modified: 2018-12-03 21:03 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
Proposed fix. (9.28 KB, patch)
2015-11-27 12:26 UTC, Pavel Raiskup
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1190346 None CLOSED postgresql-devel is not multilib clean 2019-06-07 13:56 UTC

Internal Trackers: 1190346

Description Pavel Raiskup 2015-11-27 12:26:47 UTC
Created attachment 1099680 [details]
Proposed fix.

Typically it might happen that upstream project installs architecture
dependent header files.  This however breaks parallel installation of 32/64
bit packages (when it it is desired).

Usual packaging solution is to replace the multilib-unclean file with
multilib-clean stub, while the original file is moved to unique
architecture-specific location.

This, however, used to be done on per-package basis.  Having this done on
central place like 'redhat-rpm-config' could save nontrivial amount of
packagers' work.
Also adding support for new architecture would require just rebuild of
dependent packages.

The proposed solution is to use this in %install phase:

  %ml_fix_c_header --file %{_includedir}/borken-header.h

Please consider attached patch.  As this is new %macro/script, there is no
risk to break existing package.

Comment 1 Pavel Raiskup 2015-11-27 12:45:51 UTC
Later (if this is accepted) this bug could be reused as a tracker for package
updates.  At least 'postgresql' (already uses this actually), mariadb,
unixODBC could start using this directly from redhat-rpm-config.

Comment 2 Pavel Raiskup 2016-05-10 08:40:02 UTC
Any chance this is going to be reviewed and then accepted/rejected?

Comment 4 Pavel Raiskup 2016-06-09 08:42:02 UTC
I was asked to have separate package for this, so we can depend on it
in redhat-rpm-config.


Note You need to log in before you can comment on or make changes to this bug.